# Manual do Usuário do KDE

Jan 2, 2008
KDE
plasmaengineexplorer
1

# `plasmaengineexplorer`

Oferece o acesso direto aos motores de dados do Plasma

    plasmaengineexplorer --height  pixels --width  pixels -x  pixels -y  pixels --engine  name --source  name --interval  ms

    plasmaengineexplorer Opções Genéricas do KDE Opções Genéricas do Qt

## Descrição

O `plasmaengineexplorer` é uma ferramenta gráfica que permite aos programadores testarem os motores de dados do Plasma, sem criarem uma 'applet' do Plasma.

Se não forem indicadas opções, ele será iniciado sem nenhum motor de dados selecionado. O motor de dados desejado pode ser selecionado a partir de uma lista.

Só serão encontrados os motores de dados instalados. O `kbuildsycoca4` poderá ter que ser executado para descobrir os motores de dados recém instalados.

## Opções

`--height pixels`

  Altera a altura da janela, em pixels.

`--width pixels`

  Altera a largura da janela, em pixels.

`-x pixels`

  Altera a coordenada X (horizontal) do canto superior da janela, em pixels.

`-y pixels`

  Altera a coordenada Y (vertical) do canto superior da janela, em pixels.

`--engine name`

  Start `plasmaengineexplorer` with the given data engine selected. `name` is the internal name of the data engine given by the X-KDE-PluginInfo-Name key of the desktop file.

`--source name`

  Só é válido em conjunto com o `--engine`. Necessita de uma fonte específica do motor de dados, quando é iniciado o `plasmaengineexplorer`.

`--interval tempo`

  Define o intervalo de atualização padrão das fontes solicitadas como sendo `tempo` milissegundos. Caso não seja definido, a fonte será atualizada sob demanda (para algumas fontes, ocorrerá quando dados novos estiverem disponíveis).

  Caso indique o `--source`, este é o intervalo de atualização que será usado ao solicitar essa fonte.

## Veja Também

More detailed user documentation is available from help:/plasma (either enter this URL into &konqueror;, or run ``khelpcenter` `help:/plasma``).

## Exemplos

Carrega o motor de dados de horas, mostrando a hora local atualizada a cada segundo:

    plasmaengineexplorer --engine time --source Local --interval 1000

## Autores

O `plasmaengineexplorer` foi criado por Aaron Seigo aseigo@kde.org.